Bug 97330 - [chv dsi] black screen
Summary: [chv dsi] black screen
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-13 11:38 UTC by Juan
Modified: 2017-02-20 11:00 UTC (History)
2 users (show)

See Also:
i915 platform: BSW/CHT
i915 features: display/DSI


Attachments
dmesg output and error file (23.87 KB, application/gzip)
2016-08-13 11:38 UTC, Juan
no flags Details
dmesg extracted from the tarball (113.12 KB, text/plain)
2016-08-16 11:29 UTC, Jani Nikula
no flags Details
Dmesg without modeset=0 (105.33 KB, application/zip)
2016-08-16 20:18 UTC, Juan
no flags Details
drm/i915/dsi: Do not clear DPOUNIT_CLOCK_GATE_DISABLE from vlv_init_display_clock_gating (2.20 KB, patch)
2016-12-01 15:43 UTC, Hans de Goede
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Juan 2016-08-13 11:38:21 UTC
Created attachment 125766 [details]
dmesg output and error file

I have a black screen on booting.

I boot in recovery mode with option modeset=0, then I remove the module i915, and reload it again with option modeset=1. then the screens turns black but I still can send commands to the terminal. Sometimes it works well so I can go on and start normally. 

The system is and HP pro 608 g1 tablet with and intel atom x5-z8500 and hd graphics(CHERRYVIEW)

System architecture: x86_64
Kernel: 4.8.0-rc1-hp+ (lastest drm-intel-nightly)
Linux Distribution: Debian Testing

I've attached dmesg output and /sys/class/drm/card0/error

Thanks Juan
Comment 1 Jani Nikula 2016-08-16 11:29:02 UTC
Created attachment 125812 [details]
dmesg extracted from the tarball
Comment 2 Jani Nikula 2016-08-16 11:32:52 UTC
Please remove any modeset=0 parameters, reboot, and grab the dmesg. If this leads to black screen, please try to ssh in or do it blind.
Comment 3 Juan 2016-08-16 20:18:26 UTC
Created attachment 125827 [details]
Dmesg without modeset=0

I've attached three files dmesg_ok.txt when everything runs ok.
dmesg_vblank_timeout.txt and Xorg.0.log when i get black screen but everything else works well so I can get these files through ssh.
Comment 4 Hans de Goede 2016-12-01 15:43:29 UTC
Created attachment 128301 [details] [review]
drm/i915/dsi: Do not clear DPOUNIT_CLOCK_GATE_DISABLE from vlv_init_display_clock_gating

Hi,

I've been seeing this same issue on another cherrytrail tablet. After working on debugging this more or less every evening for about a week, I believe I now have a fix :)

Can you please build a recent kernel with the attached patch and see if that fixes this for you ?

Regards,

Hans
Comment 5 Juan 2016-12-10 20:24:04 UTC
Hi,

I've build lasted kernel and I have applied the attached patch and it works!

Thanks a lot. You have done a great Job.

Regards,

Juan
Comment 6 yann 2016-12-12 09:08:20 UTC
Resolving as fixed, it is already merged in drm-tip:

author	Hans de Goede <hdegoede@redhat.com>	2016-12-02 14:29:04 (GMT)
committer	Ville Syrjälä <ville.syrjala@linux.intel.com>
commit	721d484563e1a51ada760089c490cbc47e909756 (patch)


bug/show.html.tmpl processed on Mar 25, 2017 at 17:28:46.
(provided by the Example extension).